Deprecation of Secure Cipher Support for TLS 1.1 and earlier

by M Huneycutt | February 18, 2021 at 1:30 PM

Technology-Padlock-Image

On March 2020, TLS 1.0 and 1.1 was deprecated by Apple Safari, Mozilla Firefox, Microsoft EDGE/IE, and Google Chrome. Any secure connection that traverses software or network services that rely on these versions of TLS in order to function, browsers will recognize them as insecure and may not display or function.

TLS, the successor to SSL, was generally implemented by major internet service providers in 1999 to replace SSL 3.0.  Since that time, it has undergone three iterations, with the most recent being TLS 1.3. Brillium, like other software-as-a-service  providers, generally supported all released versions of TLS. 

As of March 2020, most all major internet browsers have officially deprecated support for earlier, less secure versions of TLS.  In order to maintain compliance with modern security standards and to preserve compatibility with major Internet services and integration partners, Brillium began implementing plans to phase out support for TLS 1.0 and 1.1 in mid-2020.

Impact

Except for those customers using older, less secure web browsers such as Internet Explorer 11, this should not have any impact. All modern browsers support TLS 1.2.

Customers that have implemented the Brillium API should also not be affected by this change. However, customers that have implemented or use tools that specifically require TLS 1.1 or lower will be affected.  For these situations, it is recommended that any tools and applications be upgraded as soon as possible.

Action Required

Brillium recommends that customers implementing tools that require TLS 1.1, follow security guidelines to implement TLS 1.2 as soon as possible. As of February 15, 2021, Brillium version 10 no longer supports TLS 1.0 and 1.1.

Subscribe Now

Additional Reading